<?php
  global $i18n;
  $pages = array();
  $languages = array();
	$dir_handle = @opendir(GSDATAPAGESPATH) or die("Unable to open pages directory");
	while ($filename = readdir($dir_handle)) {
    if (strrpos($filename,'.xml') === strlen($filename)-4 && !is_dir(GSDATAPAGESPATH . $filename)) {
			$data = getXML(GSDATAPAGESPATH . $filename);
      if (strpos($filename,'_') !== false) {
        $pos = strpos($data->url,'_');
        $url = substr($data->url,0,$pos);
        $lang = substr($data->url,$pos+1);
        if (!in_array($lang,$languages)) $languages[] = $lang;
        if (!isset($pages[$url])) {
          $pages[$url] = array('url' => $url, 'variants' => array(), 'exists' => false, 'title' => '');
        }
        $pages[$url]['variants'][$lang] = array();
        $pages[$url]['variants'][$lang]['url'] = '' . $data->url;
        $pages[$url]['variants'][$lang]['parent'] = '' . $data->parent;
        $pages[$url]['variants'][$lang]['title'] = '' . $data->title;
        $pages[$url]['variants'][$lang]['date'] = $data->pubDate;
      } else {
        $url = '' . $data->url;
        if (!isset($pages[$url])) {
          $pages[$url] = array('url' => $url, 'variants' => array());
        }
        $pages[$url]['exists'] = true;
        $pages[$url]['parent'] = '' . $data->parent;
			  $pages[$url]['title'] = '' . $data->title;
        $pages[$url]['metak'] = '' . $data->meta;
        $pages[$url]['metad'] = '' . $data->metad;
			  $pages[$url]['menuStatus'] = '' . $data->menuStatus;
			  $pages[$url]['menuOrder'] = '' . $data->menuOrder;
        $pages[$url]['private'] = '' . $data->private;
        $pages[$url]['date'] = $data->pubDate;
      }
    }
	}
  // sort pages
  sort($languages);
  $pages = subval_sort($pages,'title');
  $counter = count($pages);
  // display overview
?>
			<label><?php echo $i18n['PAGE_MANAGEMENT']; ?></label>
			<div class="edit-nav" ><p><?php echo $i18n['TOGGLE_STATUS']; ?> &nbsp;<input type="checkbox" id="show-characters" value="" /></p><div class="clear" ></div></div>
      <p><?php echo $i18n['i18n/NEW_LANGUAGE_DESCR']; ?></p>
			<table id="editpages" class="edittable highlight paginate">
        <?php if (count($languages) > 0) { ?>
        <thead>
          <tr><th colspan="3"></th><?php foreach ($languages as $lang) echo "<th colspan='3' style='font-weight:800'>$lang</th>"; ?></tr>
        </thead>
        <?php } ?>
        <tbody>
        <?php
          foreach ($pages as $page) {
        ?>
          <tr id="tr-<?php echo $page['url']; ?>">
        <?php
            if ($page['exists']) {
              if ($page['title'] == '') $page['title'] = '[No Title] &nbsp;&raquo;&nbsp; <em>'. $page['url'] .'</em>'; 
              $status = '';
	            if ($page['url'] == 'index' ) $status .= ' <sup>['.$i18n['HOMEPAGE_SUBTITLE'].']</sup>'; 
	            if ($page['menuStatus'] != '' ) $status .= ' <sup>['.$i18n['MENUITEM_SUBTITLE'].']</sup>';
	            if ($page['private'] != '' ) $status .= ' <sup>['.$i18n['PRIVATE_SUBTITLE'].']</sup>'; 
        ?>
            <td>
              <a title="<?php echo $i18n['EDITPAGE_TITLE'].': '.cl($page['title']).' - '.shtDate($page['date']); ?>" href="edit.php?id=<?php echo $page['url']; ?>"><?php echo cl($page['title']); ?></a>
              <span class="showstatus toggle"><?php echo $status; ?></span>
            </td>
	          <td class="secondarylink">
	            <a title="<?php echo $i18n['VIEWPAGE_TITLE'].': '. cl($page['title']); ?>" target="_blank" href="<? echo find_url($page['url'],$page['parent']); ?>">#</a>
	          </td>
	          <td class="delete" >
              <a class="i18n-delconfirm" href="deletefile.php?id=<?php echo $page['url']; ?>&nonce=<?php echo get_nonce("delete", "deletefile.php"); ?>" title="<?php echo $i18n['DELETEPAGE_TITLE'].': '.cl($page['title']); ?>">X</a>
            </td>
        <?php
            } else {
        ?>
            <td></td>
            <td></td>
            <td class="secondarylink">            
              <a href="edit.php?newid=<?php echo $page['url']; ?>" title="<?php echo $i18n['CREATE_NEW_PAGE'].': '.$page['url']; ?>">+</a>
            </td>
        <?php
            }
            foreach ($languages as $lang) {
              $params = 'newid='.$page['url'].'_'.$lang;
              $title = $i18n['CREATE_NEW_PAGE'].': ';
              if ($page['exists']) {
                $params .= '&title='.urlencode($page['title'].' ('.$lang.')').
                           '&metak='.urlencode($page['metak']).
                           '&metad='.urlencode($page['metad']);
                $title .= cl($page['title']).' ('.$lang.')';
              } else {
                $title .= $page['url'].'_'.$lang;
              }
              if (isset($page['variants'][$lang])) {
                $variant =& $page['variants'][$lang];
                if ($variant['title'] == '') $variant['title'] = '[No Title] &nbsp;&raquo;&nbsp; <em>'. $variant['url'] .'</em>'; 
        ?> 
            <td>
              <a title="<?php echo $i18n['EDITPAGE_TITLE'].': '.cl($variant['title']).' - '.shtDate($variant['date']); ?>" href="edit.php?id=<?php echo $variant['url']; ?>"><?php echo cl($variant['title']); ?></a>
            </td>
	          <td class="secondarylink">
	            <a title="<?php echo $i18n['VIEWPAGE_TITLE'].': '.cl($variant['title']); ?>" target="_blank" href="<? echo find_url($page['url'],$page['parent']).'?lang='.$lang; ?>">#</a>
	          </td>
	          <td class="delete" >
              <a class="i18n-delconfirm" href="deletefile.php?id=<?php echo $variant['url']; ?>&nonce=<?php echo get_nonce("delete", "deletefile.php"); ?>" title="<?php echo $i18n['DELETEPAGE_TITLE'].': '.cl($variant['title']); ?>">X</a>
              <a href="edit.php?<?php echo $params; ?>" title="<?php echo $title; ?>" style="display:none">+</a>
            </td>
        <?php
              } else {
        ?>
            <td></td>
            <td></td>
            <td class="secondarylink">            
              <a href="edit.php?<?php echo $params; ?>" title="<?php echo $title; ?>">+</a>
            </td>
        <?php
              }
            }
        ?>
           </tr>
        <?php
          }
        ?>
        </tbody>
			</table>
			<div id="page_counter" class="qc_pager"></div> 	
			<p><em><b><span id="pg_counter"><?php echo $counter; ?></span></b> <?php echo $i18n['TOTAL_PAGES']; ?></em></p>
      <script type="text/javascript">
        $(function() {
	        $(".i18n-delconfirm").live("click", function(e) {
		        var message = $(this).attr("title");
		        var dlink = $(this).attr("href");
	          var answer = confirm(message);
            if (answer){
	            $.ajax({
                 type: "GET",
                 url: dlink,
                 success: function(response) {
                    if ($(e.target).closest('tr').find('a').length > 4) {
                      var $td=$(e.target).closest('td');
                      $(e.target).remove();
                      $td.prev().prev().empty();
                      $td.prev().empty();
                      $td.removeClass('delete').addClass('secondarylink');
                      $td.find('a').attr('style',null);
                    } else {
                      $(e.target).closest('tr').remove();
                      $("#page_counter").html("");
                      if($("#pg_counter").length) {
                    	  counter=$("#pg_counter").html();
                        $("#pg_counter").html(counter-1);
                      }
                      $('table.paginate tr').quickpaginate( { perpage: 15, showcounter: true, pager : $("#page_counter") } );
                    }                  
                    //added by dniesel
                    if($(response).find('div.error').html()) {
                      $('div.bodycontent').before('<div class="error">'+ $(response).find('div.error').html() + '</div>'); 
                    }
                    if($(response).find('div.updated').html()) {
                      $('div.bodycontent').before('<div class="updated">'+ $(response).find('div.updated').html() + '</div>'); 
                    }
                 }
              });
            }
            return false;	            
	        });
        });
      </script>

